# Compute V1 Client - Class FutureReservationsAggregatedListResponse (2.10.0)

2.10.0 (latest) 2.9.0 2.8.0 2.7.0 2.6.0 2.5.0 2.4.0 2.3.0 2.2.0 2.1.1 2.0.0 1.36.0 1.35.0 1.34.0 1.33.0 1.32.0 1.31.0 1.30.0 1.29.0 1.28.0 1.27.0 1.26.0 1.25.0 1.24.0 1.23.0 1.22.1 1.21.0 1.20.0 1.19.0 1.18.1 1.17.0 1.16.2 1.14.0 1.13.0 1.12.1 1.11.1 1.10.1 1.9.1 1.8.3 1.7.1 1.6.1 1.5.0 Reference documentation and code samples for the Compute V1 Client class FutureReservationsAggregatedListResponse.

Contains a list of future reservations.

Generated from protobuf message `google.cloud.compute.v1.FutureReservationsAggregatedListResponse`

## Namespace

Google \\ Cloud \\ Compute \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ etag` | `string` |
| `↳ id` | `string` \[Output Only\] Unique identifier for the resource; defined by the server. |
| `↳ items` | `array|https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Internal/MapField` A list of Future reservation resources. |
| `↳ kind` | `string` Output only. \[Output Only\] Type of resource. Alwayscompute#futureReservationsAggregatedListResponse for future resevation aggregated list response. |
| `↳ next_page_token` | `string` \[Output Only\] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. |
| `↳ self_link` | `string` Output only. \[Output Only\] Server-defined URL for this resource. |
| `↳ unreachables` | `string[]` Output only. \[Output Only\] Unreachable resources. |
| `↳ warning` | `https://docs.cloud.google.com/php/docs/reference/cloud-compute/latest/V1.Warning` \[Output Only\] Informational warning message. |

### getEtag

Generated from protobuf field `optional string etag = 3123477;`

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### hasEtag

### clearEtag

### setEtag

Generated from protobuf field `optional string etag = 3123477;`

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getId

\[Output Only\] Unique identifier for the resource; defined by the server.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### hasId

### clearId

### setId

\[Output Only\] Unique identifier for the resource; defined by the server.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getItems

A list of Future reservation resources.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Internal/MapField` |   |

### setItems

A list of Future reservation resources.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `array|https://protobuf.dev/reference/php/api-docs/Google/Protobuf/Internal/MapField` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getKind

Output only. \[Output Only\] Type of resource. Alwayscompute#futureReservationsAggregatedListResponse for future
resevation aggregated list response.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### hasKind

### clearKind

### setKind

Output only. \[Output Only\] Type of resource. Alwayscompute#futureReservationsAggregatedListResponse for future
resevation aggregated list response.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getNextPageToken

\[Output Only\] This token allows you to get the next page of results for
list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.

Subsequent list requests will have their own nextPageToken to
continue paging through the results.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### hasNextPageToken

### clearNextPageToken

### setNextPageToken

\[Output Only\] This token allows you to get the next page of results for
list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.

Subsequent list requests will have their own nextPageToken to
continue paging through the results.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getSelfLink

Output only. \[Output Only\] Server-defined URL for this resource.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### hasSelfLink

### clearSelfLink

### setSelfLink

Output only. \[Output Only\] Server-defined URL for this resource.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getUnreachables

Output only. \[Output Only\] Unreachable resources.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/RepeatedField<string>` |   |

### setUnreachables

Output only. \[Output Only\] Unreachable resources.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string[]` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getWarning

\[Output Only\] Informational warning message.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-compute/latest/V1.Warning|null` |   |

### hasWarning

### clearWarning

### setWarning

\[Output Only\] Informational warning message.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-compute/latest/V1.Warning` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |